cURL
curl --request POST \
--url https://api.creatify.ai/api/html_interactive_ads/ \
--header 'Content-Type: application/json' \
--header 'X-API-ID: <api-key>' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"link": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"style_ids": [
"<string>"
],
"promotion_info": "<string>",
"custom_prompt": "<string>",
"max_size_mb": 5,
"webhook_url": "<string>"
}
'import requests
url = "https://api.creatify.ai/api/html_interactive_ads/"
payload = {
"link": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"style_ids": ["<string>"],
"promotion_info": "<string>",
"custom_prompt": "<string>",
"max_size_mb": 5,
"webhook_url": "<string>"
}
headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-ID': '<api-key>',
'X-API-KEY': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
link: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
style_ids: ['<string>'],
promotion_info: '<string>',
custom_prompt: '<string>',
max_size_mb: 5,
webhook_url: '<string>'
})
};
fetch('https://api.creatify.ai/api/html_interactive_ads/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.creatify.ai/api/html_interactive_ads/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'link' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'style_ids' => [
'<string>'
],
'promotion_info' => '<string>',
'custom_prompt' => '<string>',
'max_size_mb' => 5,
'webhook_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-ID: <api-key>",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.creatify.ai/api/html_interactive_ads/"
payload := strings.NewReader("{\n \"link\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"style_ids\": [\n \"<string>\"\n ],\n \"promotion_info\": \"<string>\",\n \"custom_prompt\": \"<string>\",\n \"max_size_mb\": 5,\n \"webhook_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-ID", "<api-key>")
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.creatify.ai/api/html_interactive_ads/")
.header("X-API-ID", "<api-key>")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"link\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"style_ids\": [\n \"<string>\"\n ],\n \"promotion_info\": \"<string>\",\n \"custom_prompt\": \"<string>\",\n \"max_size_mb\": 5,\n \"webhook_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.creatify.ai/api/html_interactive_ads/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-ID"] = '<api-key>'
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"link\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"style_ids\": [\n \"<string>\"\n ],\n \"promotion_info\": \"<string>\",\n \"custom_prompt\": \"<string>\",\n \"max_size_mb\": 5,\n \"webhook_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"link": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"style_ids": [
"<string>"
],
"status": "pending",
"failed_reason": "<string>",
"ads": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"style_id": "<string>",
"status": "pending",
"html_url": "<string>",
"size_bytes": 123,
"failed_reason": "<string>"
}
],
"credits_used": 123,
"promotion_info": "<string>",
"custom_prompt": "<string>",
"max_size_mb": 5,
"webhook_url": "<string>"
}API Reference
Create HTML interactive ads
Generate one playable HTML ad per style for a product created with POST /api/links/. Each ad is a self-contained HTML file, compressed to fit max_size_mb, ready to upload to an ad network. Each successful ad costs 10 credits; failed ads are refunded.
POST
/
api
/
html_interactive_ads
/
cURL
curl --request POST \
--url https://api.creatify.ai/api/html_interactive_ads/ \
--header 'Content-Type: application/json' \
--header 'X-API-ID: <api-key>' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"link": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"style_ids": [
"<string>"
],
"promotion_info": "<string>",
"custom_prompt": "<string>",
"max_size_mb": 5,
"webhook_url": "<string>"
}
'import requests
url = "https://api.creatify.ai/api/html_interactive_ads/"
payload = {
"link": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"style_ids": ["<string>"],
"promotion_info": "<string>",
"custom_prompt": "<string>",
"max_size_mb": 5,
"webhook_url": "<string>"
}
headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-ID': '<api-key>',
'X-API-KEY': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
link: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
style_ids: ['<string>'],
promotion_info: '<string>',
custom_prompt: '<string>',
max_size_mb: 5,
webhook_url: '<string>'
})
};
fetch('https://api.creatify.ai/api/html_interactive_ads/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.creatify.ai/api/html_interactive_ads/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'link' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'style_ids' => [
'<string>'
],
'promotion_info' => '<string>',
'custom_prompt' => '<string>',
'max_size_mb' => 5,
'webhook_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-ID: <api-key>",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.creatify.ai/api/html_interactive_ads/"
payload := strings.NewReader("{\n \"link\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"style_ids\": [\n \"<string>\"\n ],\n \"promotion_info\": \"<string>\",\n \"custom_prompt\": \"<string>\",\n \"max_size_mb\": 5,\n \"webhook_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-ID", "<api-key>")
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.creatify.ai/api/html_interactive_ads/")
.header("X-API-ID", "<api-key>")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"link\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"style_ids\": [\n \"<string>\"\n ],\n \"promotion_info\": \"<string>\",\n \"custom_prompt\": \"<string>\",\n \"max_size_mb\": 5,\n \"webhook_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.creatify.ai/api/html_interactive_ads/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-ID"] = '<api-key>'
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"link\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"style_ids\": [\n \"<string>\"\n ],\n \"promotion_info\": \"<string>\",\n \"custom_prompt\": \"<string>\",\n \"max_size_mb\": 5,\n \"webhook_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"link": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"style_ids": [
"<string>"
],
"status": "pending",
"failed_reason": "<string>",
"ads": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"style_id": "<string>",
"status": "pending",
"html_url": "<string>",
"size_bytes": 123,
"failed_reason": "<string>"
}
],
"credits_used": 123,
"promotion_info": "<string>",
"custom_prompt": "<string>",
"max_size_mb": 5,
"webhook_url": "<string>"
}Authorizations
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
201 - application/json

